Subject: bug#937: elogind: SwayWM fails to launch from vTTY: Could not take device: No such file or directory

From: [email-masked]
Date: Sat, 24 Jan 2026 18:14:06 +0000

On Saturday, January 24th, 2026 at 10:19, Andrew Bower <[email-masked]> wrote:
> ... snip ...
>
> Now it is far from clear that this is what is actually happening but it
> is a possible cause.
> 
> Would you mind sharing the file /etc/init.d/.depend.start, please, so we
> can see what the dependency chain is on your system? That might reveal
> if there is an issue similar to the Service A/Service B interactions
> I've described above.

Thank you for that detailed explanation Andrew. Attached is /etc/init.d/.depend.start from the system.

On Saturday, January 24th, 2026 at 10:19, Andrew Bower <[email-masked]> wrote:
> Another user has also suggested something to eliminate (1) as a cause of
> this regression. You could reinstall version -4 of the package and edit
> the following variable as such:
> 
> DAEMON_ARGS="-D"
> START_ARGS=""
> 
> i.e. putting the behaviour back how it was but with the structure of the
> new version of the initscript.

I have tested this, and indeed this allows Sway to launch, successfully "Found 2 GPUs" and "Initializing DRM backend for /dev/dri/card...".

On Saturday, January 24th, 2026 at 10:19, Andrew Bower <[email-masked]> wrote:
> This is the failing call:
> 
> ret = sd_bus_call_method(session->bus, "org.freedesktop.login1", session->path,
> 
> "org.freedesktop.login1.Session", "TakeDevice", &error, &msg, "uu",
> major(st.st_rdev), minor(st.st_rdev));

I have attached also the D-Bus system message output, from both 255.17-4 without initscript daemon/startup argument changes (255.17-4-unedited.dbus.log), and also with (255.17-4-edited.dbus.log).

--
Nathan